![Module](../Images/Modules/FlipPan.png)

### Flip Pan
This is a useful mixing module inspired by [Segue by Nonlinear Circuits](http://nonlinearcircuits.blogspot.com/2015/08/segue-vactrol-version.html) and [MMVCA by WMD](https://www.wmdevices.com/products/multimode-vca). It can function as a mono-to-stereo panner, a stereo-to-stereo "flip" panner, a dual crossfader, a VCA, and more. Despite its flexibility, it maintains a simple control set for experimentation.
The heart of the circuit is simple: The PAN control will pan the Left input on the outputs in the expected left-to-right fashion. However, the twist is that the Right input will pan in the opposite direction.

Patch Ideas:
- Mono-to-stereo panner: Simply route the signal that you want to pan into the Left input.
- Stereo-to-stereo "flip" panner: Route two different signals into the inputs. Now, when manipulating the PAN control, you will hear the signals alternate positions on the outputs.
- Crossfader: Route two different signals into the inputs. The Left output is now a crossfade output that responds to the PAN control. The Right output is also a crossfader, but it responds to the PAN control in the opposite manner.
- VCA: Route a signal into the Left input and monitor the Right output. The PAN control and input now act as a VCA for that signal.
